# Enable or Disable Surveys

If you would like to disable the surveys from showing in general, including manual targeting surveys, you can do so using this API.

{% hint style="danger" %}
Disabling Surveys

This API completely disables surveys, meaning surveys will not be shown regardless of the code called.
{% endhint %}

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Surveys.enabled = false;
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQSurveys setEnabled:NO];
```

{% endtab %}

{% tab title="And - Java" %}

```java
// Enable
Surveys.setState(Feature.State.ENABLED);
// Disable
Surveys.setState(Feature.State.DISABLED);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
// Enable
Surveys.setState(Feature.State.ENABLED)
// Disable
Surveys.setState(Feature.State.DISABLED)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Surveys.setEnabled(false);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Surveys.setEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-surveys/enable-or-disable-surveys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
